SSO
All operations require authentication.
Get the identity provider linked to this accountProduction
Response
Creation date of the identity provider
Whether account users should still be usable as a login method or not
SAML Extensions to embed inside the SAML requests
SAML Group attribute name
IdP's signing certificate
Last update of the identity provider
Whether SAML Authn Requests should be signed
IdP's Single Sign On Service Url
SAML User attribute name
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ provider \
-H "authorization: Bearer $OVH_TOKEN"{ "creation": "2024-01-01T12:00:00Z", "disableUsers": true, "extensions": { "requestedAttributes": [ { "isRequired": true, "name": "string", "nameFormat": "string", "values": [ "string" ] } ] }, "groupAttributeName": "string", "idpSigningCertificates": [ { "expiration": "2024-01-01T12:00:00Z", "subject": "string" } ], "lastUpdate": "2024-01-01T12:00:00Z", "signRequests": true, "ssoServiceUrl": "string", "userAttributeName": "string"}
Define an identity provider (SAML 2.0)Production
Request body (required)
Whether account users should still be usable as a login method or not
SAML Extensions to embed inside the SAML requests
SAML Group attribute name
IdP's signing certificate
Whether SAML Authn Requests should be signed
SAML User attribute name
Response
Creation date of the identity provider
Whether account users should still be usable as a login method or not
SAML Extensions to embed inside the SAML requests
SAML Group attribute name
IdP's signing certificate
Last update of the identity provider
Whether SAML Authn Requests should be signed
IdP's Single Sign On Service Url
SAML User attribute name
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ provider \
-H "authorization: Bearer $OVH_TOKEN"{ "creation": "2024-01-01T12:00:00Z", "disableUsers": true, "extensions": { "requestedAttributes": [ { "isRequired": true, "name": "string", "nameFormat": "string", "values": [ "string" ] } ] }, "groupAttributeName": "string", "idpSigningCertificates": [ { "expiration": "2024-01-01T12:00:00Z", "subject": "string" } ], "lastUpdate": "2024-01-01T12:00:00Z", "signRequests": true, "ssoServiceUrl": "string", "userAttributeName": "string"}
Alter the providerProduction
Request body (required)
Creation date of the identity provider
Whether account users should still be usable as a login method or not
SAML Extensions to embed inside the SAML requests
SAML Group attribute name
IdP's signing certificate
Last update of the identity provider
Whether SAML Authn Requests should be signed
IdP's Single Sign On Service Url
SAML User attribute name
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ provider \
-H "authorization: Bearer $OVH_TOKEN"Remove the identity providerProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ provider \
-H "authorization: Bearer $OVH_TOKEN"